
<mat-sidenav-container>
  <mat-sidenav #sidenav mode="side" opened="true" fixedInViewport style="width: 300px">
    <app-friends-list (sidenavClose)="sidenav.close()"></app-friends-list>

  </mat-sidenav>
  <mat-sidenav-content>
    <app-header (sidenavToggle)="sidenav.toggle()"></app-header>
    <div style="display: flex;">
      <main class="main-class">
        <div>
          <input type = "text"class="search-input" placeholder="Search Content or a Friend name">
        </div>
        <router-outlet></router-outlet>
      </main>
      <app-tools class="tools-class"></app-tools>

    </div>

  </mat-sidenav-content>

</mat-sidenav-container>
